# TdApi.MessageForwardOriginChat (tdlight API 4.0.177 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: MessageForwardOriginChat

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.MessageForwardOriginChat

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessageForwardOrigin
it.tdlight.jni.TdApi.MessageForwardOriginChat

Enclosing class:
  TdApi

public static final class TdApi.MessageForwardOriginChat extends TdApi.MessageForwardOrigin
The message was originally sent by an anonymous chat administrator on behalf of the chat.

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`authorSignature`
Original message author signature.
`static final int`
`CONSTRUCTOR`
`long`
`senderChatId`
Identifier of the chat that originally sent the message.

## Constructor Summary

Constructors
Constructor
Description
`MessageForwardOriginChat()`
The message was originally sent by an anonymous chat administrator on behalf of the chat.
`MessageForwardOriginChat(long senderChatId, String authorSignature)`
The message was originally sent by an anonymous chat administrator on behalf of the chat.
`MessageForwardOriginChat(DataInput input)`
The message was originally sent by an anonymous chat administrator on behalf of the chat.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### senderChatId

public long senderChatId
Identifier of the chat that originally sent the message.

### authorSignature

public String authorSignature
Original message author signature.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### MessageForwardOriginChat

public MessageForwardOriginChat()
The message was originally sent by an anonymous chat administrator on behalf of the chat.

### MessageForwardOriginChat

public MessageForwardOriginChat(long senderChatId, String authorSignature)
The message was originally sent by an anonymous chat administrator on behalf of the chat.

Parameters:
  `senderChatId` - long Identifier of the chat that originally sent the message.
  `authorSignature` - String Original message author signature.

### MessageForwardOriginChat

public MessageForwardOriginChat(DataInput input) throws IOException
The message was originally sent by an anonymous chat administrator on behalf of the chat.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`